Subject: Re: bug#46817: update python grammar

From: Martin Puttke <[email-masked]>
Date: Tue, 02 Mar 2021 19:08:51 +0100

Hi Lars,

thank you for your offer to do the FSF paperwork. But at the 
moment I have no plans to submit another patch to emacs. It may 
come, but I prefer to do it when needed.

All the best
Martin

Lars Ingebrigtsen <[email-masked]> writes:

> Martin Puttke <[email-masked]> writes:
>
>> I made some fixes to enhance the python grammar file to enable 
>> it to
>> understand python type hints and have non-trivial base classes. 
>> Please
>> feel free to include my changes into emacs.
>
> Thanks; I'm not a Python or Wisent expert, but if I read the 
> patch
> correctly, it looks good to me, and I've applied your patch to 
> Emacs 28.
>
> This change was small enough to apply without assigning 
> copyright to the
> FSF, but for future patches you want to submit, it might make 
> sense to
> get the paperwork started now, so that subsequent patches can be 
> applied
> speedily. Would you be willing to sign such paperwork?

-- 
Composed with Spacemacs (www.spacemacs.org)